OptSliceParams.h File Reference

Go to the source code of this file.

## Functions

SliceParams & | useBoundElimination (bool value)
SliceParams & | useBoundSimplification (bool value)
slice | useBoundElimination (getBool(cli, UseBoundEliminationName))
slice | useBoundSimplification (getBool(cli, UseBoundSimplificationName))
| _useBoundElimination (true)

## Variables

bool | _useBoundElimination
bool | _useBoundSimplification
const char * | UseBoundEliminationName = "bound"
const char * | UseBoundSimplificationName = "boundSimplify"

## Function Documentation

## _useBoundElimination()

_useBoundElimination | ( | true |  | ) |

## useBoundElimination() [1/2]

SliceParams & useBoundElimination | ( | bool | value | ) |

## useBoundElimination() [2/2]

slice useBoundElimination | ( | getBool(cli, UseBoundEliminationName) |  | ) |

## useBoundSimplification() [1/2]

SliceParams & useBoundSimplification | ( | bool | value | ) |

## useBoundSimplification() [2/2]

slice useBoundSimplification | ( | getBool(cli, UseBoundSimplificationName) |  | ) |

## Variable Documentation

## _useBoundElimination

bool _useBoundElimination

Definition at line 3 of file OptSliceParams.h.

## _useBoundSimplification

bool _useBoundSimplification

Definition at line 4 of file OptSliceParams.h.

## UseBoundEliminationName

const char* UseBoundEliminationName = "bound"

Definition at line 8 of file OptSliceParams.h.

## UseBoundSimplificationName

const char* UseBoundSimplificationName = "boundSimplify"

Definition at line 9 of file OptSliceParams.h.